package veterinaire;

import java.util.ArrayList;

/**
 * On modlise un Vtrinaire ou plutt son planning de la journe. Un
 * vrrinaire possde un nom (Vous devez savoir avec qui vous avez un rdv)
 * ainsi qu'une liste de rendez vous. Parce qu'on est des fous on a choisis de
 * prendre une liste dynamique et non pas un "tableau fixe". on aurait pu
 * reprsenter la liste des Rdv avec un tableau fixe comme mis en commentaire
 * ci-dessous
 */
public class Veterinaire {
	private String nom;
	private ArrayList<RendezVous> listeRdv;
	// private RendezVous[] listeRdvFixe; // exemple d'une liste de rdv avec un
	// tableau fixe

	public String getNom() {
		return this.nom;
	}

	public void setNom(String pNom) {
		this.nom = pNom;
	}

	public ArrayList<RendezVous> getListeRdv() {
		return listeRdv;
	}

	public void setListeRdv(ArrayList<RendezVous> listeRdv) {
		this.listeRdv = listeRdv;
	}

	public Veterinaire() {
		// Il faut bien penser  instancier la liste  la cration de notre objet. (Le
		// constructeur est appel lors de l'instanction de notre objet (= cration =
		// new Veterinaire() ). Sinon lors de la manipulation de la liste on risque
		// d'avoir des NPE (NullPointerException)
		this.listeRdv = new ArrayList();
	}

}
